# Uses of Class
org.mariadb.jdbc.plugin.Credential

Packages that use Credential
Package
Description
org.mariadb.jdbc.plugin.credential.aws
org.mariadb.jdbc.plugin.credential.env
org.mariadb.jdbc.plugin.credential.system

## Uses of Credential in org.mariadb.jdbc.plugin.credential.aws

Methods in org.mariadb.jdbc.plugin.credential.aws that return Credential
Modifier and Type
Method
Description
`Credential`
AwsIamCredentialPlugin.`get()`
`Credential`
AwsCredentialGenerator.`getToken()`
Generate authentication token

## Uses of Credential in org.mariadb.jdbc.plugin.credential.env

Methods in org.mariadb.jdbc.plugin.credential.env that return Credential
Modifier and Type
Method
Description
`Credential`
EnvCredentialPlugin.`get()`

## Uses of Credential in org.mariadb.jdbc.plugin.credential.system

Methods in org.mariadb.jdbc.plugin.credential.system that return Credential
Modifier and Type
Method
Description
`Credential`
PropertiesCredentialPlugin.`get()`